Update due diligence info
relevant webhooks for this endpoint be sure you have registered docid\ bn5xtgkjogbe ctwomcbs for these webhooks core customer duediligence changed docid\ rl8xmroegistybme y98d api reference updates due diligence information the response returns the fields you updated { "name" "put /core/v1/cm/customer/{id}/due diligence", "method" "put", "url" "https //sandbox crbcos com/core/v1/cm/customer/{id}/due diligence", "tab" "examples", "examples" { "languages" \[ { "id" "curl example", "language" "curl", "code" "curl location request put 'https //sandbox crbcos com/core/v1/cm/customers/53c34cf0 4cd2 4768 937b b30000dffdca/due diligence' \\\\\n data '{\n \\"employmentstatus\\" \\"employed\\",\n \\"occupation\\" \\"sales\\",\n \\"industry\\" \\"finance\\",\n \\"incomesource\\" \\"salary\\",\n \\"incomestate\\" \\"ny\\",\n \\"incomecountrycode\\" \\"us\\",\n \\"sourceoffunds\\" \\"salary\\",\n \\"wealthsource\\" \\"salary\\",\n \\"annualincome\\" 50000000\n}'" }, { "id" "nodejs example", "language" "nodejs", "code" "var request = require('request');\nvar options = {\n 'method' 'put',\n 'url' 'https //sandbox crbcos com/core/v1/cm/customers/53c34cf0 4cd2 4768 937b b30000dffdca/due diligence',\n 'headers' {\n },\n body '{\\\r\\\n \\"employmentstatus\\" \\"employed\\",\\\r\\\n \\"occupation\\" \\"sales\\",\\\r\\\n \\"industry\\" \\"finance\\",\\\r\\\n \\"incomesource\\" \\"salary\\",\\\r\\\n \\"incomestate\\" \\"ny\\",\\\r\\\n \\"incomecountrycode\\" \\"us\\",\\\r\\\n \\"sourceoffunds\\" \\"salary\\",\\\r\\\n \\"wealthsource\\" \\"salary\\",\\\r\\\n \\"annualincome\\" 50000000\\\r\\\n}'\n\n};\nrequest(options, function (error, response) {\n if (error) throw new error(error);\n console log(response body);\n});\n" }, { "id" "python example", "language" "python", "code" "import http client\n\nconn = http client httpsconnection(\\"sandbox crbcos com\\")\npayload = \\"{\\\r\\\n \\\\\\"employmentstatus\\\\\\" \\\\\\"employed\\\\\\",\\\r\\\n \\\\\\"occupation\\\\\\" \\\\\\"sales\\\\\\",\\\r\\\n \\\\\\"industry\\\\\\" \\\\\\"finance\\\\\\",\\\r\\\n \\\\\\"incomesource\\\\\\" \\\\\\"salary\\\\\\",\\\r\\\n \\\\\\"incomestate\\\\\\" \\\\\\"ny\\\\\\",\\\r\\\n \\\\\\"incomecountrycode\\\\\\" \\\\\\"us\\\\\\",\\\r\\\n \\\\\\"sourceoffunds\\\\\\" \\\\\\"salary\\\\\\",\\\r\\\n \\\\\\"wealthsource\\\\\\" \\\\\\"salary\\\\\\",\\\r\\\n \\\\\\"annualincome\\\\\\" 50000000\\\r\\\n}\\"\nheaders = {}\nconn request(\\"put\\", \\"/core/v1/cm/customers/53c34cf0 4cd2 4768 937b b30000dffdca/due diligence\\", payload, headers)\nres = conn getresponse()\ndata = res read()\nprint(data decode(\\"utf 8\\"))" }, { "id" "ruby example", "language" "ruby", "code" "require \\"uri\\"\nrequire \\"net/http\"\n\nurl = uri(\\"https //sandbox crbcos com/core/v1/cm/customers/53c34cf0 4cd2 4768 937b b30000dffdca/due diligence\\")\n\nhttps = net http new(url host, url port)\nhttps use ssl = true\n\nrequest = net http put new(url)\nrequest body = \\"{\\\r\\\n \\\\\\"employmentstatus\\\\\\" \\\\\\"employed\\\\\\",\\\r\\\n \\\\\\"occupation\\\\\\" \\\\\\"sales\\\\\\",\\\r\\\n \\\\\\"industry\\\\\\" \\\\\\"finance\\\\\\",\\\r\\\n \\\\\\"incomesource\\\\\\" \\\\\\"salary\\\\\\",\\\r\\\n \\\\\\"incomestate\\\\\\" \\\\\\"ny\\\\\\",\\\r\\\n \\\\\\"incomecountrycode\\\\\\" \\\\\\"us\\\\\\",\\\r\\\n \\\\\\"sourceoffunds\\\\\\" \\\\\\"salary\\\\\\",\\\r\\\n \\\\\\"wealthsource\\\\\\" \\\\\\"salary\\\\\\",\\\r\\\n \\\\\\"annualincome\\\\\\" 50000000\\\r\\\n}\\"\n\nresponse = https request(request)\nputs response read body" }, { "id" "go example", "language" "go", "code" "package main\n\nimport (\n \\"fmt\\"\n \\"strings\\"\n \\"net/http\"\n \\"io\\"\n)\n\nfunc main() {\n\n url = \\"https //sandbox crbcos com/core/v1/cm/customers/53c34cf0 4cd2 4768 937b b30000dffdca/due diligence\\"\n method = \\"put\\"\n\n payload = strings newreader(`{`+\\"\n\\"+`\n \\"employmentstatus\\" \\"employed\\",`+\\"\n\\"+`\n \\"occupation\\" \\"sales\\",`+\\"\n\\"+`\n \\"industry\\" \\"finance\\",`+\\"\n\\"+`\n \\"incomesource\\" \\"salary\\",`+\\"\n\\"+`\n \\"incomestate\\" \\"ny\\",`+\\"\n\\"+`\n \\"incomecountrycode\\" \\"us\\",`+\\"\n\\"+`\n \\"sourceoffunds\\" \\"salary\\",`+\\"\n\\"+`\n \\"wealthsource\\" \\"salary\\",`+\\"\n\\"+`\n \\"annualincome\\" 50000000`+\\"\n\\"+`\n}`)\n\n client = \&http client {\n }\n req, err = http newrequest(method, url, payload)\n\n if err != nil {\n fmt println(err)\n return\n }\n res, err = client do(req)\n if err != nil {\n fmt println(err)\n return\n }\n defer res body close()\n\n body, err = io readall(res body)\n if err != nil {\n fmt println(err)\n return\n }\n fmt println(string(body))\n}" } ], "selectedlanguageid" "curl example" }, "results" { "languages" \[ { "id" "200", "language" "200", "code" "{\n \\"employmentstatus\\" \\"employed\\",\n \\"occupation\\" \\"sales\\",\n \\"industry\\" \\"finance\\",\n \\"incomesource\\" \\"salary\\",\n \\"incomestate\\" \\"ny\\",\n \\"incomecountrycode\\" \\"us\\",\n \\"sourceoffunds\\" \\"salary\\",\n \\"wealthsource\\" \\"salary\\",\n \\"annualincome\\" 50000000\n}" }, { "id" "400", "language" "400", "code" "{\\\n \\\\\\"errors\\\\\\" \[{\\\n \\\\\\"code\\\\\\" 2001,\\\n \\\\\\"message\\\\\\" \\\\\\"validation error\\\\\\"\\\n }]\\\n}" }, { "id" "401", "language" "401", "code" "{\\\n \\\\\\"errors\\\\\\" \[{\\\n \\\\\\"code\\\\\\" 3001,\\\n \\\\\\"message\\\\\\" \\\\\\"unauthorized\\\\\\"\\\n }]\\\n}" } ], "selectedlanguageid" "200" }, "request" { "pathparameters" \[ { "name" "id", "type" "string", "kind" "required", "description" "the unique id assigned to the customer when the customer record is created the id is in guid format ", "" "the unique id assigned to the customer when the customer record is created the id is in guid format " } ], "queryparameters" \[], "headerparameters" \[], "formdataparameters" \[], "bodydataparameters" \[ { "name" "employmentstatus", "kind" "optional", "type" "string", "description" "how and if the customer is employed \n employed\n selfemployed\n retired\n unemployed\n student" }, { "name" "occupation", "kind" "optional", "type" "string", "description" "possible occupation types \n executive\n sales\n consulting\n government\n healthcare\n financeaccounting\n technology\n scienceengineering\n foodservices\n legalservices\n manufacturing\n other" }, { "name" "occupationdescription", "kind" "optional", "type" "string", "description" "any further details needed about the customer's occupation 255 characters maximum " }, { "name" "industry", "kind" "optional", "type" "string", "description" "possible industries \n agriculture\n mining\n utilities\n construction\n manufacturing\n chemicalmanufacturing\n merchantwholesale\n automotive\n retailfurnishing\n retailelectronics\n retailhome\n retailfood\n healthstores\n gasoline\n retailclothing\n retailsporting\n retailnonstore\n transportation\n publishing\n finance\n realestate\n rentalservices\n professionalnonlegal\n accounting\n travel\n educationalmedical\n performingarts\n recreationgambling\n foodservice\n maintenance\n laundry\n religiouscharity\n publicadministration" }, { "name" "incomesource", "kind" "optional", "type" "string", "description" "possible income sources \n salary\n selfemployed\n inheritance\n investments\n retirement\n rentalincome\n governmentbenefits\n familysupport" }, { "name" "incomestate", "kind" "optional", "type" "string", "description" "state where customer earns income use the 2 letter code " }, { "name" "incomecountrycode", "kind" "optional", "type" "string", "description" "2 letter code of the country where the customer earns income" }, { "name" "employer", "kind" "optional", "type" "string", "description" "name of customer's employer" }, { "name" "employerstate", "kind" "optional", "type" "string", "description" "state where customer employer is based use the 2 letter code " }, { "name" "employercountrycode", "kind" "optional", "type" "string", "description" "2 letter iso code of the country where the customer's employer is based" }, { "name" "sourceoffunds", "kind" "optional", "type" "string", "description" "customer funds the account from one of these sources \n selfemployed\n generalemployee\n seniorexecutive\n retired\n homemaker\n inheritancegift\n investment\n salary\n businessowner\n alimony\n retirement\n lottery\n annuity\n trustincome\n realestate\n governmentbenefits\n legalsettlement" }, { "name" "wealthsource", "kind" "optional", "type" "string", "description" "source of customer wealth \n salary\n selfemployed\n inheritance\n familysupport\n investments\n retirement\n rentalincome\n governmentbenefits\n businesssale\n other" }, { "name" "wealthsourcedescription", "kind" "optional", "type" "string", "description" "further details about the customer's source of wealth 255 characters maximum " }, { "name" "annualincome", "kind" "optional", "type" "integer", "description" "customer annual income for example, 100 us dollars appears as 10000 ", "" "customer annual income for example, 100 us dollars appears as 10000 " } ] }, "response" \[ { "name" "employmentstatus", "kind" "optional", "type" "string", "description" "how and if the customer is employed \n employed\n selfemployed\n retired\n unemployed\n student" }, { "name" "occupation", "kind" "optional", "type" "string", "description" "possible occupation types \n executive\n sales\n consulting\n government\n healthcare\n financeaccounting\n technology\n scienceengineering\n foodservices\n legalservices\n manufacturing\n other" }, { "name" "occupationdescription", "kind" "optional", "type" "string", "description" "any further details needed about the customer's occupation" }, { "name" "industry", "kind" "optional", "type" "string", "description" "possible industries \n agriculture\n mining\n utilities\n construction\n manufacturing\n chemicalmanufacturing\n merchantwholesale\n automotive\n retailfurnishing\n retailelectronics\n retailhome\n retailfood\n healthstores\n gasoline\n retailclothing\n retailsporting\n retailnonstore\n transportation\n publishing\n finance\n realestate\n rentalservices\n professionalnonlegal\n accounting\n travel\n educationalmedical\n performingarts\n recreationgambling\n foodservice\n maintenance\n laundry\n religiouscharity\n publicadministration" }, { "name" "incomesource", "kind" "optional", "type" "string", "description" "possible income sources \n salary\n selfemployed\n inheritance\n investments\n retirement\n rentalincome\n governmentbenefits\n familysupport" }, { "name" "incomestate", "kind" "optional", "type" "string", "description" "state where customer earns income use the 2 letter code " }, { "name" "incomecountrycode", "kind" "optional", "type" "string", "description" "2 letter code of the country where the customer earns income" }, { "name" "employer", "kind" "optional", "type" "string", "description" "name of customer's employer" }, { "name" "employerstate", "kind" "optional", "type" "string", "description" "state where customer employer is based" }, { "name" "employercountrycode", "kind" "optional", "type" "string", "description" "2 letter iso code of the country where the customer's employer is based" }, { "name" "sourceoffunds", "kind" "optional", "type" "string", "description" "customer funds the account from one of these sources \n selfemployed\n generalemployee\n seniorexecutive\n retired\n homemaker\n inheritancegift\n investment\n salary\n businessowner\n alimony\n retirement\n lottery\n annuity\n trustincome\n realestate\n governmentbenefits\n legalsettlement" }, { "name" "wealthsource", "kind" "optional", "type" "string", "description" "source of customer wealth \n salary\n selfemployed\n inheritance\n familysupport\n investments\n retirement\n rentalincome\n governmentbenefits\n businesssale\n other" }, { "name" "wealthsourcedescription", "kind" "optional", "type" "string", "description" "further details about the customer's source of wealth" }, { "name" "annualincome", "kind" "optional", "type" "integer", "description" "customer annual income in integral cents for example, 100 us dollars appears as 10000 " } ], "hastryitout" false, "description" "", "currentnewparameter" { "label" "body parameter", "value" "bodydataparameters" }, "autogeneratedanchorslug" "put corev1cmcustomeriddue diligence", "legacyhash" "qrd2vis6ac cn8bprl9mi" }